%define upstream_name    Pithub
%define upstream_version 0.01020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Github v3 Pull Request Comments API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Iterator)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
the Pithub manpage provides a set of modules to access the
http://developer.github.com/v3/ in an object oriented way. There is also
the Net::GitHub manpage which does the same for all the versions (v1, v2,
v3) of the Github API. the Pithub manpage supports all API calls so far,
but only for v3.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.10.200-2.mga4
+ Revision: 534878
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.10.200-1.mga4
+ Revision: 479912
- update to 0.01020

* Wed Jun 26 2013 jquelin <jquelin> 0.10.190-1.mga4
+ Revision: 447084
- update to 0.01019

* Fri Jun 07 2013 jquelin <jquelin> 0.10.180-1.mga4
+ Revision: 439758
- update to 0.01018

* Sun Jan 13 2013 umeabot <umeabot> 0.10.170-2.mga3
+ Revision: 371806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.10.170-1.mga3
+ Revision: 342535
- update to 0.01017

* Thu Sep 27 2012 jquelin <jquelin> 0.10.160-1.mga3
+ Revision: 298721
- imported package perl-Pithub


* Thu Sep 27 2012 cpan2dist 0.01016-1mga
- initial mageia release, generated with cpan2dist
